package com.xmt.gameet.services;

import java.util.List;

import org.springframework.data.jpa.domain.Specification;

import com.xmt.gameet.entities.Game;

public interface GameService {
	public Game create(Game game);
	public Game delete(Game game);
	public List<Game> getAllGames();
	public Game update(Game game);
	public Game getGame(Integer id);
	
	public List<Game> searchGame(Specification<Game>[] specifications);
	public List<Game> getGamesByUser(Integer userId);
}
