package com.xmt.gameet.services;

import java.util.List;

import com.xmt.gameet.entities.Genre;

public interface GenreService {
	public Genre create(Genre genre);
	public void delete(Genre genre);
	public List<Genre> getAllGenre();
	public Genre update(Genre genre);
	public Genre getGenre(Integer id);
	
	public List<Genre> searchGenres(String name, Boolean alreadyAdded, Boolean notAdded, Integer userId);
	public List<Genre> getGenresByUser(Integer userId);
}
