package com.xmt.gameet.services;

import java.util.List;

import com.xmt.gameet.entities.Report;
import com.xmt.gameet.entities.ReportCause;

public interface ReportService {
	public Report createReport(Report report);
	public Report deleteReport(Report report);
	public List<Report> getAllReports();
	public Report updateReport(Report report);
	public Report getReport(Integer id);
	
	public ReportCause createReportCause(ReportCause reportCause);
	public ReportCause deleteReportCause(ReportCause reportCause);
	public List<ReportCause> getAllReportCauses();
	public ReportCause updateReportCause(ReportCause reportCause);
	public ReportCause getReportCause(Integer id);
}
