package com.xmt.gameet.utils;


/**
 * Clase con constantes para especificar tipos de datos concretos en las anotaciones @Column
 * Por si migramos de tipo de base de datos, poder cambiar todos los TEXT, DATETIME, etc... por su equivalente en la nueva DB. 
 * @author Xavi
 *
 */
public class DataBaseDataType {

	public static final String TEXT = "TEXT";
	public static final String DATE = "DATETIME";
	public static final String BOOLEAN = "TINYINT";
	public static final String BOOLEAN_DEFAULT_FALSE = BOOLEAN +  " default 0";
	public static final String BOOLEAN_DEFAULT_TRUE = BOOLEAN + " default 1";
	
}
