$(function(){
	if($("#emailConfirmed").val()){
		var dialog = $("#dialog")
		dialog.dialog({ 
			dialogClass: 'noTitle',
			modal: true,
			resizable: false,
		});
		dialog.dialog("open");
		if(dialog.dialog("isOpen") == true){
			$("body").on("click", function(){
				dialog.dialog("close");
			});
		}
	}
	
	if($("#PR-passRecov").val()){
		var dialog = $("#dialog-password")
		dialog.dialog({ 
			dialogClass: 'noTitle',
			modal: true,
			resizable: false,
			closeOnEscape: false,
			open: function(event, ui) { $(".ui-dialog-titlebar-close", ui.dialog | ui).hide(); }
		});
		$(".ui-widget-overlay").on("click", function(){
			dialog.dialog("close");
		});
	}
	
	$("#PR-changePassword").on("click", function(){
		console.log("clicked");
		var userId = $("#PR-userId").val();
		var password = $("#PR-password").val();
		var repeatedPassword = $("#PR-repeatPassword").val();
		var csrf = $("#csrfToken").val();
		$.ajax({
			url: '/gaming/changePassword',
			method: "POST",
			data: {
				'userId' : userId,
				'password' : password,
				'repeatPassword': repeatedPassword,
				'_csrf' : csrf
			},
			success: function(data){
				if(data == "success"){
					$("#dialog-password").dialog("close");
				}
				else{
					$("PR-passwordErrorMsg").append("Se ha producido un error al guardar la nueva contraseña, verifica que la contraseña contenga una letra mayúscula i un número como mínimo");
				}
			}
		});
	});
	
	if($("#PR-emailError").val() != ""){
		var dialog = $("#dialog-email")
		dialog.dialog({ 
			dialogClass: 'noTitle',
			modal: true,
			resizable: false,
		});
		dialog.dialog("open");
		if(dialog.dialog("isOpen") == true){
			$("body").on("click", function(){
				dialog.dialog("close");
			});
		}
		$("#PR-emailErrorMsg").val($("#PR-emailError").val());
	}
	 
	$("#passwordRecovery").on("click", function(event){
		event.preventDefault();
		var dialog = $("#dialog-email");
		dialog.dialog({ 
			dialogClass: 'noTitle',
			modal: true,
			resizable: false,
			closeOnEscape: false,
			open: function(event, ui) { $(".ui-dialog-titlebar-close", ui.dialog | ui).hide(); }
		});
		$(".ui-widget-overlay").on("click", function(){
			dialog.dialog("close");
		});
	});
	
	$("#PR-sendEmail").on("click", function(){
		var email = $("#PR-email").val();
		window.location.href = "/gaming/sendPasswordRecovery?email=" + email;
	});
});