$(function(){
	if($("#isNewMessage").val() == "true"){
		$("#viewMessageReceived").hide();
		$("#viewMessageSent").hide();
		$("#newMessageDiv").show();
		$(".response").hide();
		$("#for-input").val($("#toThisUser").val());
	}
	$("#menuReceived").on("click",function(){
		$("#menuSent").removeClass("active");
		$("#menuReceived").addClass("active");
		$("#newMessageDiv").hide();
		$(".sentMessagesTable").hide();
		$(".receivedMessagesTable").show();
	});
	$("#menuSent").on("click",function(){
		$("#menuSent").addClass("active");
		$("#menuReceived").removeClass("active");
		$("#newMessageDiv").hide();
		$(".receivedMessagesTable").hide();
		$(".sentMessagesTable").show();
	});
	$(".newMessageButton").on("click", function(){
		$("#viewMessageReceived").hide();
		$("#viewMessageSent").hide();
		$("#newMessageDiv").show();
		$(".response").hide();
		$("#messageTitle").prop("disabled","false");
		$("#for-input").prop("disabled","true");
	});
	$(".receivedMessagesTable>tbody>tr.messageRow").on("click", function(){
		$(".selectedRow").removeClass("selectedRow");
		$(this).addClass("selectedRow");
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split("-")[1];
		$.ajax({
			url: '/gaming/inbox/getMessage',
			method: "POST",
			data: {
				'id': id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data){
					$("#viewMessageReceived > .messageTitle").empty();
					$("#viewMessageReceived > .messageFrom").empty();
					$("#viewMessageReceived > .messageDate").empty();
					$("#viewMessageReceived > .messageContent").empty();
					$("#viewMessageReceived > .messageTitle").append(data.title);
					$("#viewMessageReceived > .messageFrom").append(data.fromUserName);
					$("#viewMessageReceived > .messageDate").append(data.parsedDate);
					$("#viewMessageReceived > .messageContent").append(data.message);
					$("#viewMessageReceived > .delete").prop("id","delete-" + data.id);
					$("#viewMessageReceived > .answer").prop("id","answer-" + data.id);
					$("#newMessageDiv").hide();
					$("#viewMessageReceived").show();
					$("#viewMessageSent").hide();
				}
			}
		});
	});
	
	$(".sentMessagesTable>tbody>tr.messageRow").on("click", function(){
		$(".selectedRow").removeClass("selectedRow");
		$(this).addClass("selectedRow");
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split("-")[1];
		$.ajax({
			url: '/gaming/inbox/getMessage',
			method: "POST",
			data: {
				'id': id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data){
					$("#viewMessageSent > .messageTitle").empty();
					$("#viewMessageSent > .messageFrom").empty();
					$("#viewMessageSent > .messageDate").empty();
					$("#viewMessageSent > .messageContent").empty();
					$("#viewMessageSent > .messageTitle").append(data.title);
					$("#viewMessageSent > .messageFrom").append(data.toUserName);
					$("#viewMessageSent > .messageDate").append(data.parsedDate);
					$("#viewMessageSent > .messageContent").append(data.message);
					$("#viewMessageSent > .delete").prop("id","delete-" + data.id);
					$("#newMessageDiv").hide();
					$("#viewMessageReceived").hide();
					$("#viewMessageSent").show();
				}
			}
		});
	});
	
	$(".answer").on("click", function(){
		var csrfToken = $("#csrfToken").val();
		var id = $(this).prop('id').split("-")[1];
		$.ajax({
			url: '/gaming/inbox/getMessage',
			method: "POST",
			data: {
				'id': id,
				'_csrf' : csrfToken
			},
			success: function(data){
				if(data){
					$("#messageTitle").val("RE:" + data.title);
					//$("#messageTitle").prop("disabled","true");
					$("#for-input").val(data.fromUserName);
					//$("#for-input").prop("disabled","true");
					$("#responseText").val(data.message);
					$("#viewMessageReceived").hide();
					$("#viewMessageSent").hide();
					$("#newMessageDiv").show();
					$(".response").show();
				}
			}
		});
	});
	
	$(".delete").on("click", function(){
		var id = $(this).prop('id').split("-")[1];
		window.location.href = "/gaming/inbox/deleteMessage?id=" + id;
	});
});