$(function(){
	var timetable = $("#timetable");
	var htmlToAppend = "";
	for(var i = 0; i < 24 ; i++){
		htmlToAppend = htmlToAppend + "<tr class='hour-" + i + "'>";
		htmlToAppend = htmlToAppend + "<td class='hour' width='5%'>" + i + ":00</td>";
		htmlToAppend = htmlToAppend + "<td width='12%' class='hour-cell' id='Mon-" + i + "'>";
		htmlToAppend = htmlToAppend + "<div class='first-half'></div><div class='second-half'></div>";
		htmlToAppend = htmlToAppend + "</td>";
		htmlToAppend = htmlToAppend + "<td width='12%' class='hour-cell' id='Tue-" + i + "'>";
		htmlToAppend = htmlToAppend + "<div class='first-half'></div><div class='second-half'></div>";
		htmlToAppend = htmlToAppend + "</td>";
		htmlToAppend = htmlToAppend + "<td width='12%' class='hour-cell' id='Wed-" + i + "'>";
		htmlToAppend = htmlToAppend + "<div class='first-half'></div><div class='second-half'></div>";
		htmlToAppend = htmlToAppend + "</td>";
		htmlToAppend = htmlToAppend + "<td width='12%' class='hour-cell' id='Thu-" + i + "'>";
		htmlToAppend = htmlToAppend + "<div class='first-half'></div><div class='second-half'></div>";
		htmlToAppend = htmlToAppend + "</td>";
		htmlToAppend = htmlToAppend + "<td width='12%' class='hour-cell' id='Fri-" + i + "'>";
		htmlToAppend = htmlToAppend + "<div class='first-half'></div><div class='second-half'></div>";
		htmlToAppend = htmlToAppend + "</td>";
		htmlToAppend = htmlToAppend + "<td width='12%' class='hour-cell' id='Sat-" + i + "'>";
		htmlToAppend = htmlToAppend + "<div class='first-half'></div><div class='second-half'></div>";
		htmlToAppend = htmlToAppend + "</td>";
		htmlToAppend = htmlToAppend + "<td width='12%' class='hour-cell' id='Sun-" + i + "'>";
		htmlToAppend = htmlToAppend + "<div class='first-half'></div><div class='second-half'></div>";
		htmlToAppend = htmlToAppend + "</td>";
		htmlToAppend = htmlToAppend + "</tr>";
	}
	timetable.append(htmlToAppend);
	
	$(".hour-cell").on("click", function(){
		if($(this).children(".first-half").hasClass("selected")){
			if($(this).children(".second-half").hasClass("selected")){
				$(this).children(".first-half").removeClass("selected");
				$(this).children(".second-half").removeClass("selected");
			}
			else if($(this).children(".first-half").hasClass("selected")){
				$(this).children(".first-half").removeClass("selected")
				$(this).children(".second-half").addClass("selected");
			}
			else{
				$(this).children(".first-half").addClass("selected");
			}
		}
		else{
			$(this).children(".first-half").addClass("selected");
		}
	});
	
	$("#saveTimetable").on("click",function(){
		var monHours = getHoursSelectedByDay("Mon");
		var tueHours = getHoursSelectedByDay("Tue");
		var wedHours = getHoursSelectedByDay("Wed");
		var thuHours = getHoursSelectedByDay("Thu");
		var friHours = getHoursSelectedByDay("Fri");
		var satHours = getHoursSelectedByDay("Sat");
		var sunHours = getHoursSelectedByDay("Sun");
		var crsfToken = $("#csrfToken").val();
		$.ajax({
			url: '/gaming/user/saveTimetable',
			method: "POST",
			data: {
				'mon' : monHours,
				'tue' : tueHours,
				'wed' : wedHours,
				'thu' : thuHours,
				'fri' : friHours,
				'sat' : satHours,
				'sun' : sunHours,
				'_csrf' : crsfToken
			},
			success: function(data){
				if(data == "success"){
					showSuccessMessage();
				}
				else{
					showErrorMessage()
				}
			}
		});
		
	});
	
	function getHoursSelectedByDay(day){
		var hours = [];
		var counter = 0;
		var mondayHours = "";
		for(var i=0; i < 24 ; i++){
			if($("#" + day + "-" + i).children(".selected").length > 0){
				if($("#" + day + "-" + i).children(".first-half").hasClass("selected") && $("#" + day + "-" + i).children(".second-half").hasClass("selected")){
					hours[counter] = i + ":00-" +  (i + 1) + ":00"; 
					counter++;
				}
				else if($("#" + day + "-" + i).children(".first-half").hasClass("selected")){
					hours[counter] = i + ":00-" +  i + ":30"; 
					counter++;
				}
				else if($("#" + day + "-" + i).children(".second-half").hasClass("selected")){
					hours[counter] = i + ":30-" +  (i + 1) + ":00"; 
					counter++;
				}
			}
		}
		var hourCounter = 0;
		var postProcessedHours = [];
		var initialHour;
		var finalHour = "0";
		for(var x = 0; x < counter ; x++){
			if(finalHour != ""){
				initialHour = hours[x].split("-")[0];
			}
			var endAt = hours[x].split("-")[1];
			if(x != counter - 1){
				if(hours[x+1].split("-")[0] != endAt){
					finalHour = endAt;
					postProcessedHours[hourCounter] = initialHour + "-" + finalHour;
					hourCounter++;
				}
				else{
					finalHour = "";
				}
			}
			else{
				finalHour = endAt;
				postProcessedHours[hourCounter] = initialHour + "-" + finalHour;
				hourCounter++;
			}
		}
		
		return postProcessedHours;
	}
	
	var crsfToken = $("#csrfToken").val();
	$.ajax({
		url: '/gaming/user/getTimetable',
		method: "POST",
		data: {
			'_csrf' : crsfToken
		},
		success: function(data){
			$.each(data, function(){
				var day = this.day;
				var initialTime = this.initialTime;
				var endingTime = this.endingTime;
				var iHour =  Math.floor(initialTime/60);
				var iRemaining = initialTime - (iHour * 60);
				var eHour =  Math.floor(endingTime/60);
				var eRemaining = endingTime - (eHour * 60);
				if(iHour == eHour){
					if(eRemaining == 30){
						$("#" + day + "-" + iHour).children(".first-half").addClass("selected");
					}
				}
				else if(iHour < eHour){
					if(iRemaining == 30){
						$("#" + day + "-" + iHour).children(".second-half").addClass("selected");
					}
					else{
						$("#" + day + "-" + iHour).children(".first-half").addClass("selected");
						$("#" + day + "-" + iHour).children(".second-half").addClass("selected");
					}
					var counter = iHour + 1;
					for(counter; counter < eHour; counter++){
						$("#" + day + "-" + counter).children(".first-half").addClass("selected");
						$("#" + day + "-" + counter).children(".second-half").addClass("selected");
					}
					if(eRemaining == 30){
						$("#" + day + "-" + counter).children(".first-half").addClass("selected");
					}
				}
				
			});
		}
	});
	
	
});