package com.xmt.gameet.helpers.test;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.junit.Test;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

import junit.framework.TestCase;

public class HelpersTest extends TestCase {

	@Test
	public void testPasswordVerification(){
		String password = "Test122";
		String regEx = "[A-Z]+";
		Pattern pattern = Pattern.compile(regEx);
		Matcher matcher = pattern.matcher(password);
		int count = 0;
		while (matcher.find()) {
		   count+=matcher.group(0).length();
		}
		String regExNums = "[0-9]+";
		Pattern pattern2 = Pattern.compile(regExNums);
		Matcher matcher2 = pattern2.matcher(password);
		int count2 = 0;
		while (matcher2.find()) {
		   count2+=matcher2.group(0).length();
		}
		System.out.println("Encontrados " + count + " letras en maysculas en el string: " + password);
		System.out.println("Encontrados " + count2 + " nmeros en el string: " + password);
	}
	
	@Test
	public void testTimeConversion(){
		String hour = "9:00";
		String hour2 = "9:30";
		String hour3 = "11:00";
		
		Integer minutes = Integer.parseInt(hour.split(":")[0]) * 60 + Integer.parseInt(hour.split(":")[1]);
		Integer minutes2 = Integer.parseInt(hour2.split(":")[0]) * 60 + Integer.parseInt(hour2.split(":")[1]);
		Integer minutes3 = Integer.parseInt(hour3.split(":")[0]) * 60 + Integer.parseInt(hour3.split(":")[1]);
		
		System.out.println(minutes);

		System.out.println(minutes2);

		System.out.println(minutes3);
	}
	
	@Test
	public void testPassword(){
		String password = "password";
		System.out.println(password);
		String encrypted = getEncryptedPassword(password);
		
		System.out.println(encrypted.length());
		
		System.out.println(getEncryptedPassword("Password123"));
		System.out.println(getEncryptedPassword("Slayers122"));
	}
	
	private String getEncryptedPassword(String clearTextPassword)   {  
		BCryptPasswordEncoder passwordEncoder = new BCryptPasswordEncoder();
		return passwordEncoder.encode(clearTextPassword);	 
	}
}
