package com.xmt.gameet.repositories;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import com.xmt.gameet.entities.Country;
import com.xmt.gameet.utils.BaseRepository;

public interface CountryRepository extends BaseRepository<Country, Integer>{

	static final String SELECT_COUNTRY = "SELECT a FROM Country a "
			+ "WHERE a.id = :id";

	@Query(SELECT_COUNTRY)
	public Country findCountryById(@Param("id") Integer id);
}
