package com.xmt.gameet.repositories;

import java.util.List;

import org.springframework.data.jpa.repository.Query;

import com.xmt.gameet.entities.Genre;
import com.xmt.gameet.utils.BaseRepository;

public interface GenreRepository extends BaseRepository<Genre, Integer>{
	
	static final String SELECT_ALL_GENRE = "SELECT a.id, a.descriptionEN, a.descriptionES, a.name "
			+ "FROM Genre a ";
	
	@Query(SELECT_ALL_GENRE)
	public List<Genre> getAllGenreWithNoGames();
}
