package com.xmt.gameet.services;

import java.util.List;

import com.xmt.gameet.entities.Genre;
import com.xmt.gameet.entities.Language;

public interface LanguageService {
	public Language create(Language language);
	public void delete(Language language);
	public List<Language> getAllLanguage();
	public Language update(Language language);
	public Language getLanguage(Integer id);

	public List<Language> searchLanguages(String name, Boolean alreadyAdded, Boolean notAdded, Integer userId);
	public List<Language> getLanguagesByUser(Integer userId);
}
