package com.xmt.gameet.services;

import java.util.List;

import com.xmt.gameet.entities.MessageChat;
import com.xmt.gameet.entities.MessageMail;
import com.xmt.gameet.entities.MessageStatus;

public interface MessagingService {
	public MessageMail createMessageMail(MessageMail messageMail);
	public void deleteMessageMail(MessageMail messageMail);
	public List<MessageMail> getAllMessageMail();
	public MessageMail updateMessageMail(MessageMail messageMail);
	public MessageMail getMessageMail(Integer id);
	
	public MessageChat createMessageChat(MessageChat messageChat);
	public void deleteMessageChat(MessageChat messageChat);
	public List<MessageChat> getAllMessageChat();
	public MessageChat updateMessageChat(MessageChat messageChat);
	public MessageChat getMessageChat(Integer id);
	
	public MessageStatus createMessageStatus(MessageStatus messageStatus);
	public void deleteMessageStatus(MessageStatus messageStatus);
	public List<MessageStatus> getAllMessageStatus();
	public MessageStatus updateMessageStatus(MessageStatus messageStatus);
	public MessageStatus getMessageStatus(Integer id);
}
