package com.xmt.gameet.services;

import java.util.List;

import com.xmt.gameet.entities.Genre;
import com.xmt.gameet.entities.Platform;

public interface PlatformService {
	public Platform create(Platform platform);
	public void delete(Platform platform);
	public List<Platform> getAllPlatforms();
	public Platform update(Platform platform);
	public Platform getPlatform(Integer id);
	
	public List<Platform> searchPlatform(String name, Boolean alreadyAdded, Boolean notAdded, Integer userId);
	public List<Platform> getPlatformsByUser(Integer userId);
}
